Package ghidra.app.util.bin.format.elf

# Interface ElfConstants

public interface ElfConstants
A collection of constants used in the ELF header.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EI_ABIVERSION`
  ABI Version
  `static final int`
  `EI_CLASS`
  File class
  `static final int`
  `EI_DATA`
  Data encoding
  `static final int`
  `EI_MAG0`
  File ID
  `static final int`
  `EI_MAG1`
  File ID
  `static final int`
  `EI_MAG2`
  File ID
  `static final int`
  `EI_MAG3`
  File ID
  `static final int`
  `EI_NIDENT`
  Length of the File ID
  `static final int`
  `EI_OSIABI`
  Operating System/ABI Identification
  `static final int`
  `EI_PAD`
  Start of padding
  `static final int`
  `EI_VERSION`
  File version
  `static final byte`
  `ELF_CLASS_32`
  32-bit objects
  `static final byte`
  `ELF_CLASS_64`
  64-bit objects
  `static final byte`
  `ELF_CLASS_NONE`
  Invalid class
  `static final byte`
  `ELF_CLASS_NUM`
  ?
  `static final byte`
  `ELF_DATA_BE`
  big-endian byte order
  `static final byte`
  `ELF_DATA_LE`
  little-endian byte order
  `static final byte`
  `ELF_DATA_NONE`
  invalid byte order
  `static final long`
  `ELF32_INVALID_OFFSET`
  32bit "-1", used in 32bit files to signal an invalid offset
  `static final byte`
  `ELFOSABI_AIX`
  aix
  `static final byte`
  `ELFOSABI_ARM`
  ARM
  `static final byte`
  `ELFOSABI_AROS`
  AROS
  `static final byte`
  `ELFOSABI_C6000_ELFABI`
  Bare-metal TMS320C6000
  `static final byte`
  `ELFOSABI_C6000_LINUX`
  Linux TMS320C6000
  `static final byte`
  `ELFOSABI_CLOUDABI`
  Nuxi CloudABI
  `static final byte`
  `ELFOSABI_FENIXOS`
  FenixOS
  `static final byte`
  `ELFOSABI_FREEBSD`
  free bsd
  `static final byte`
  `ELFOSABI_GNU`
  GNU LINUX
  `static final byte`
  `ELFOSABI_HPUX`
  hewlett packard unix
  `static final byte`
  `ELFOSABI_HURD`
  GNU/Hurd
  `static final byte`
  `ELFOSABI_IRIX`
  irix
  `static final byte`
  `ELFOSABI_LINUX`
  linux
  `static final byte`
  `ELFOSABI_MODESTO`
  novell modesto
  `static final byte`
  `ELFOSABI_NETBSD`
  net bsd
  `static final byte`
  `ELFOSABI_NONE`
  no extension or unspecified
  `static final byte`
  `ELFOSABI_NSK`
  Hewlett-Packard Non-Stop Kernel
  `static final byte`
  `ELFOSABI_OPENBSD`
  open bsd
  `static final byte`
  `ELFOSABI_OPENVMS`
  OpenVMS
  `static final byte`
  `ELFOSABI_SOLARIS`
  sun solaris
  `static final byte`
  `ELFOSABI_STANDALONE`
  Standalone (embedded) application
  `static final byte`
  `ELFOSABI_TRUE64`
  compaq tru64 unix
  `static final short`
  `EM_386`
  Intel 80386
  `static final short`
  `EM_486`
  Intel 486 (deprecated)
  `static final short`
  `EM_56800EF`
  NXP 56800EF Digital Signal Controller (DSC)
  `static final short`
  `EM_56800EX`
  Freescale 56800EX Digital Signal Controller (DSC)
  `static final short`
  `EM_65816`
  WDC 65816/65C816
  `static final short`
  `EM_68HC05`
  Motorola MC68HC05 microcontroller
  `static final short`
  `EM_68HC08`
  Motorola MC68HC08 microcontroller
  `static final short`
  `EM_68HC11`
  Motorola MC68HC11 microcontroller
  `static final short`
  `EM_68HC12`
  Motorola M68HC12
  `static final short`
  `EM_68HC16`
  Motorola MC68HC16 microcontroller
  `static final short`
  `EM_68K`
  Motorola m68k family
  `static final short`
  `EM_78KOR`
  Renesas 78KOR family
  `static final short`
  `EM_8051`
  Intel 8051 and variants
  `static final short`
  `EM_860`
  Intel 80860
  `static final short`
  `EM_88K`
  Motorola m88k family
  `static final short`
  `EM_960`
  Intel 80960
  `static final short`
  `EM_AARCH64`
  AARCH64 Architecture
  `static final short`
  `EM_ALTERA_NIOS2`
  Altera Nios II soft-core processor
  `static final short`
  `EM_AMDGPU`
  AMD GPU architecture
  `static final short`
  `EM_ARC`
  Argonaut RISC Core
  `static final short`
  `EM_ARC_A5`
  ARC Cores Tangent-A5
  `static final short`
  `EM_ARC_COMPACT2`
  Synopsys ARCompact V2
  `static final short`
  `EM_ARC_COMPACT3`
  Synopsys ARCv2.3 32-bit
  `static final short`
  `EM_ARC_COMPACT3_64`
  Synopsys ARCv2.3 64-bit
  `static final short`
  `EM_ARCA`
  Arca RISC Microprocessor
  `static final short`
  `EM_ARM`
  ARM
  `static final short`
  `EM_AVR`
  Atmel AVR 8-bit microcontroller
  `static final short`
  `EM_AVR32`
  Atmel Corporation 32-bit microprocessor family
  `static final short`
  `EM_AVR32_unofficial`
  used by NetBSD/avr32 - AVR 32-bit
  `static final short`
  `EM_BA1`
  Beyond BA1 CPU
  `static final short`
  `EM_BA2`
  Beyond BA2 CPU
  `static final short`
  `EM_BLACKFIN`
  Analog Devices Blackfin (DSP) processor
  `static final short`
  `EM_BPF`
  Linux kernel bpf virtual machine
  `static final short`
  `EM_C166`
  Infineon C16x/XC16x processor
  `static final short`
  `EM_CDP`
  Paneve CDP architecture family
  `static final short`
  `EM_CE`
  Freescale Communication Engine RISC core
  `static final short`
  `EM_CEVA`
  CEVA Processor Architecture Family
  `static final short`
  `EM_CEVA_X2`
  CEVA X2 Processor Family
  `static final short`
  `EM_CLOUDSHIELD`
  CloudShield architecture family
  `static final short`
  `EM_COGE`
  Cognitive Smart Memory Processor
  `static final short`
  `EM_COLDFIRE`
  Motorola Coldfire
  `static final short`
  `EM_COOL`
  iCelero CoolEngine
  `static final short`
  `EM_COREA_1ST`
  KIPO-KAIST Core-A 1st generation processor family
  `static final short`
  `EM_COREA_2ND`
  KIPO-KAIST Core-A 2nd generation processor family
  `static final short`
  `EM_CR`
  National Semiconductor CompactRISC microprocessor
  `static final short`
  `EM_CR16`
  National Semiconductor CompactRISC CR16 16-bitmicroprocessor
  `static final short`
  `EM_CRAYNV2`
  Cray Inc.
  `static final short`
  `EM_CRIS`
  Axis Communications 32-bit embedded processor
  `static final short`
  `EM_CRX`
  National Semiconductor CompactRISC CRX
  `static final short`
  `EM_CSKY`
  C-SKY processor family.
  `static final short`
  `EM_CSR_KALIMBA`
  CSR Kalimba architecture family
  `static final short`
  `EM_CUDA`
  NVIDIA CUDA architecture
  `static final short`
  `EM_CYPRESS_M8C`
  Cypress M8C microprocessor
  `static final short`
  `EM_D10V`
  Mitsubishi D10V
  `static final short`
  `EM_D30V`
  Mitsubishi D30V
  `static final short`
  `EM_DSP24`
  New Japan Radio (NJR) 24-bit DSP Processor
  `static final short`
  `EM_DSPIC30F`
  Microchip Technology dsPIC30F Digital Signal Controller
  `static final short`
  `EM_DXP`
  Icera Semiconductor Inc.
  `static final short`
  `EM_ECOG1`
  Cyan Technology eCOG1X family
  `static final short`
  `EM_ECOG16`
  Cyan Technology eCOG16 family
  `static final short`
  `EM_ECOG1X`
  Cyan Technology eCOG1X family
  `static final short`
  `EM_ECOG2`
  Cyan Technology eCOG2 microprocessor
  `static final short`
  `EM_ETPU`
  Freescale Extended Time Processing Unit
  `static final short`
  `EM_EXCESS`
  eXcess: 16/32/64-bit configurable embedded CPU
  `static final short`
  `EM_F2MC16`
  Fujitsu F2MC16
  `static final short`
  `EM_FAKE_ALPHA`
  Digital Alpha
  `static final short`
  `EM_FIREPATH`
  Element 14 64-bit DSP Processor
  `static final short`
  `EM_FR20`
  Fujitsu FR20
  `static final short`
  `EM_FR30`
  Fujitsu FR30
  `static final short`
  `EM_FT32`
  FTDI Chip FT32 high performance 32-bit RISC architecture
  `static final short`
  `EM_FX66`
  Siemens FX66 microcontroller
  `static final short`
  `EM_GRAPHCORE_IPU`
  Graphcore Intelligent Processing Unit
  `static final short`
  `EM_H8_300`
  Hitachi H8/300
  `static final short`
  `EM_H8_300H`
  Hitachi H8/300H
  `static final short`
  `EM_H8_500`
  Hitachi H8/500
  `static final short`
  `EM_H8S`
  Hitachi H8S
  `static final short`
  `EM_HEXAGON`
  Qualcomm Hexagon processor
  `static final short`
  `EM_HUANY`
  Harvard University machine-independent object files
  `static final short`
  `EM_IA_64`
  Intel Merced
  `static final short`
  `EM_IMG1`
  Imagination Technologies
  `static final short`
  `EM_INTELGT`
  Intel Graphics Technology
  `static final short`
  `EM_IP2K`
  Ubicom IP2xxx microcontroller family
  `static final short`
  `EM_JAVELIN`
  Infineon Technologies 32-bit embedded processor
  `static final short`
  `EM_K10M`
  Intel K10M
  `static final short`
  `EM_KF32`
  ChipON KungFu32
  `static final short`
  `EM_KM32`
  KM211 KM32 32-bit processor
  `static final short`
  `EM_KMX16`
  KM211 KMX16 16-bit processor
  `static final short`
  `EM_KMX32`
  KM211 KMX32 32-bit processor
  `static final short`
  `EM_KMX8`
  KM211 KMX8 8-bit processor
  `static final short`
  `EM_KVARC`
  KM211 KVARC processor
  `static final short`
  `EM_KVX`
  Kalray VLIW core of the MPPA processor family
  `static final short`
  `EM_L10M`
  Intel L10M
  `static final short`
  `EM_LANAI`
  Lanai 32-bit processor
  `static final short`
  `EM_LATTICEMICO32`
  RISC processor for Lattice FPGA architecture
  `static final short`
  `EM_LOONGARCH`
  LoongArch
  `static final short`
  `EM_M16C`
  Renesas M16C series microprocessors
  `static final short`
  `EM_M32`
  AT&T WE 32100
  `static final short`
  `EM_M32C`
  Renesas M32C series microprocessors*
  `static final short`
  `EM_M32R`
  Mitsubishi M32R
  `static final short`
  `EM_MANIK`
  M2000 Reconfigurable RISC Microprocessor
  `static final short`
  `EM_MAX`
  MAX Processor
  `static final short`
  `EM_MAXQ30`
  Dallas Semiconductor MAXQ30 Core Micro-controllers
  `static final short`
  `EM_MCHP_PIC`
  Microchip 8-bit PIC(r) family
  `static final short`
  `EM_MCS6502`
  MOS Technology MCS 6502 processor
  `static final short`
  `EM_MCST_ELBRUS`
  MCST Elbrus general purpose hardware architecture
  `static final short`
  `EM_ME16`
  Toyota ME16 processor
  `static final short`
  `EM_METAG`
  Imagination Technologies META processor architecture
  `static final short`
  `EM_MIPS`
  MIPS R3000 big-endian
  `static final short`
  `EM_MIPS_RS3_LE`
  MIPS R3000 little-endian
  `static final short`
  `EM_MIPS_X`
  Stanford MIPS-X
  `static final short`
  `EM_MMA`
  Fujitsu MMA Multimedia Accelerator
  `static final short`
  `EM_MMDSP_PLUS`
  STMicroelectronics 64bit VLIW Data Signal Processor
  `static final short`
  `EM_MMIX`
  Donald Knuth's educational 64-bit processor
  `static final short`
  `EM_MN10200`
  Matsushita MN10200
  `static final short`
  `EM_MN10300`
  Matsushita MN10300
  `static final short`
  `EM_MOXIE`
  Moxie processor family
  `static final short`
  `EM_MSP430`
  Texas Instruments embedded microcontroller msp430
  `static final short`
  `EM_NCPU`
  Sony nCPU embedded RISC
  `static final short`
  `EM_NDR1`
  Denso NDR1 microprocessor
  `static final short`
  `EM_NDS32`
  Andes Technology compact code size embedded RISC processor family
  `static final short`
  `EM_NFP`
  Netronome Flow Processor.
  `static final short`
  `EM_NONE`
  No machine
  `static final short`
  `EM_NORC`
  Nanoradio Optimized RISC
  `static final short`
  `EM_NS32K`
  National Semiconductor 32000 series
  `static final short`
  `EM_OPEN8`
  Open8 8-bit RISC soft processor core
  `static final short`
  `EM_OPENRISC`
  OpenRISC 32-bit embedded processor
  `static final short`
  `EM_PARISC`
  HPPA
  `static final short`
  `EM_PCP`
  Siemens PCP
  `static final short`
  `EM_PDP10`
  Digital Equipment Corp.
  `static final short`
  `EM_PDP11`
  Digital Equipment Corp.
  `static final short`
  `EM_PDSP`
  Sony DSP Processor
  `static final short`
  `EM_PJ`
  picoJava
  `static final short`
  `EM_PPC`
  PowerPC
  `static final short`
  `EM_PPC64`
  PowerPC 64-bit
  `static final short`
  `EM_PRISM`
  SiTera Prism
  `static final short`
  `EM_R32C`
  Renesas R32C series microprocessors
  `static final short`
  `EM_RCE`
  Motorola RCE
  `static final short`
  `EM_RH32`
  TRW RH-32
  `static final short`
  `EM_RISCV`
  RISC-V
  `static final short`
  `EM_RL78`
  Renesas RL78 family
  `static final short`
  `EM_RS08`
  Freescale RS08 embedded processor
  `static final short`
  `EM_RX`
  Renesas RX family
  `static final short`
  `EM_S370`
  IBM System/370
  `static final short`
  `EM_S390`
  IBM S390
  `static final short`
  `EM_SCORE7`
  Sunplus S+core7 RISC processor
  `static final short`
  `EM_SE_C17`
  Seiko Epson C17 family
  `static final short`
  `EM_SE_C33`
  S1C33 Family of Seiko Epson processors
  `static final short`
  `EM_SEP`
  Sharp embedded microprocessor
  `static final short`
  `EM_SH`
  Hitachi SH
  `static final short`
  `EM_SHARC`
  Analog Devices SHARC family of 32-bit DSP processors
  `static final short`
  `EM_SLE9X`
  Infineon Technologies SLE9X core
  `static final short`
  `EM_SNP1K`
  Trebia SNP 1000 processor
  `static final short`
  `EM_SPARC`
  SUN SPARC
  `static final short`
  `EM_SPARC32PLUS`
  Sun's "v8plus"
  `static final short`
  `EM_SPARCV9`
  SPARC v9 64-bit
  `static final short`
  `EM_SPU`
  IBM SPU/SPC
  `static final short`
  `EM_ST100`
  STMicroelectronic ST100 processor
  `static final short`
  `EM_ST19`
  STMicroelectronics ST19 8 bit mc
  `static final short`
  `EM_ST200`
  STMicroelectronics (www.st.com) ST200
  `static final short`
  `EM_ST7`
  STmicroelectronics ST7 8 bit mc
  `static final short`
  `EM_ST9PLUS`
  STMicroelectronics ST9+ 8/16 mc
  `static final short`
  `EM_STARCORE`
  Motorola Start*Core processor
  `static final short`
  `EM_STM8`
  STMicroeletronics STM8 8-bit microcontroller
  `static final short`
  `EM_STXP7X`
  STMicroelectronics STxP7x family of RISC processors
  `static final short`
  `EM_SVX`
  Silicon Graphics SVx
  `static final short`
  `EM_TACHYUM`
  Tachyum
  `static final short`
  `EM_TI_C2000`
  The Texas Instruments TMS320C2000 DSP family
  `static final short`
  `EM_TI_C5500`
  The Texas Instruments TMS320C55x DSP family
  `static final short`
  `EM_TI_C6000`
  The Texas Instruments TMS320C6000 DSP family
  `static final short`
  `EM_TI_PRU`
  Texas Instruments Programmable Realtime Unit
  `static final short`
  `EM_TILE64`
  Tilera TILE64 multicore architecture family
  `static final short`
  `EM_TILEGX`
  Tilera TILE-Gx multicore architecture family
  `static final short`
  `EM_TILEPRO`
  Tilera TILEPro multicore architecture family
  `static final short`
  `EM_TINYJ`
  Advanced Logic Corp.
  `static final short`
  `EM_TMM_GPP`
  Thompson Multimedia General Purpose Processor
  `static final short`
  `EM_TPC`
  Tenor Network TPC processor
  `static final short`
  `EM_TRICORE`
  Siemens Tricore
  `static final short`
  `EM_TRIMEDIA`
  NXP Semiconductors TriMedia architecture family
  `static final short`
  `EM_TSK3000`
  Altium TSK3000 core
  `static final short`
  `EM_U16_U8CORE`
  Linux kernel bpf virtual machine
  `static final short`
  `EM_UNICORE`
  Microprocessor series from PKU-Unity Ltd.
  `static final short`
  `EM_V800`
  NEC V800 series
  `static final short`
  `EM_V850`
  NEC v850
  `static final short`
  `EM_VAX`
  Digital VAX
  `static final short`
  `EM_VE`
  NEC Vector Engine
  `static final short`
  `EM_VIDEOCORE`
  Alphamosaic VideoCore processor
  `static final short`
  `EM_VIDEOCORE3`
  Broadcom VideoCore III processor
  `static final short`
  `EM_VIDEOCORE5`
  Broadcom VideoCore V processor
  `static final short`
  `EM_VISIUM`
  Controls and Data Services VISIUMcore processor
  `static final short`
  `EM_VPP500`
  Fujitsu VPP500
  `static final short`
  `EM_X86_64`
  AMD x86-64 architecture
  `static final short`
  `EM_XCORE`
  XMOS xCORE processor family
  `static final short`
  `EM_XGATE`
  Motorola XGATE embedded processor
  `static final short`
  `EM_XIMO16`
  New Japan Radio (NJR) 16-bit DSP Processor
  `static final short`
  `EM_XTENSA`
  Tensilica Xtensa Architecture
  `static final short`
  `EM_Z80`
  Zilog Z80
  `static final short`
  `EM_ZSP`
  LSI Logic 16-bit DSP Processor
  `static final short`
  `ET_CORE`
  Core file
  `static final short`
  `ET_DYN`
  Shared object file
  `static final short`
  `ET_EXEC`
  Executable file
  `static final short`
  `ET_HIPROC`
  Processor specific
  `static final short`
  `ET_LOPROC`
  Processor specific
  `static final short`
  `ET_NONE`
  No file type
  `static final short`
  `ET_REL`
  Relocatable file (suitable for linking)
  `static final byte`
  `EV_CURRENT`
  current version
  `static final byte`
  `EV_NONE`
  invalid version
  `static final String`
  `GOT_SYMBOL_NAME`
  `static final byte[]`
  `MAGIC_BYTES`
  The ELF magic number and string as a byte array
  `static final byte`
  `MAGIC_NUM`
  The ELF magic number
  `static final String`
  `MAGIC_STR`
  The ELF magic string
  `static final int`
  `MAGIC_STR_LEN`
  The ELF magic string length
  `static final short`
  `PN_XNUM`
  PN_XNUM: Used by e_phnum field to signal alternate storage of program header count within section[0] sh_info field.

- ## Field Details

  - ### GOT_SYMBOL_NAME

    static final String GOT_SYMBOL_NAME
    See Also:
      - Constant Field Values

  - ### EI_NIDENT

    static final int EI_NIDENT
    Length of the File ID
    See Also:
      - Constant Field Values

  - ### EI_MAG0

    static final int EI_MAG0
    File ID
    See Also:
      - Constant Field Values

  - ### EI_MAG1

    static final int EI_MAG1
    File ID
    See Also:
      - Constant Field Values

  - ### EI_MAG2

    static final int EI_MAG2
    File ID
    See Also:
      - Constant Field Values

  - ### EI_MAG3

    static final int EI_MAG3
    File ID
    See Also:
      - Constant Field Values

  - ### EI_CLASS

    static final int EI_CLASS
    File class
    See Also:
      - Constant Field Values

  - ### EI_DATA

    static final int EI_DATA
    Data encoding
    See Also:
      - Constant Field Values

  - ### EI_VERSION

    static final int EI_VERSION
    File version
    See Also:
      - Constant Field Values

  - ### EI_OSIABI

    static final int EI_OSIABI
    Operating System/ABI Identification
    See Also:
      - Constant Field Values

  - ### EI_ABIVERSION

    static final int EI_ABIVERSION
    ABI Version
    See Also:
      - Constant Field Values

  - ### EI_PAD

    static final int EI_PAD
    Start of padding
    See Also:
      - Constant Field Values

  - ### MAGIC_NUM

    static final byte MAGIC_NUM
    The ELF magic number
    See Also:
      - Constant Field Values

  - ### MAGIC_STR

    static final String MAGIC_STR
    The ELF magic string
    See Also:
      - Constant Field Values

  - ### MAGIC_BYTES

    static final byte[] MAGIC_BYTES
    The ELF magic number and string as a byte array

  - ### MAGIC_STR_LEN

    static final int MAGIC_STR_LEN
    The ELF magic string length
    See Also:
      - Constant Field Values

  - ### ELF_CLASS_NONE

    static final byte ELF_CLASS_NONE
    Invalid class
    See Also:
      - Constant Field Values

  - ### ELF_CLASS_32

    static final byte ELF_CLASS_32
    32-bit objects
    See Also:
      - Constant Field Values

  - ### ELF_CLASS_64

    static final byte ELF_CLASS_64
    64-bit objects
    See Also:
      - Constant Field Values

  - ### ELF_CLASS_NUM

    static final byte ELF_CLASS_NUM
    ?
    See Also:
      - Constant Field Values

  - ### ELF_DATA_NONE

    static final byte ELF_DATA_NONE
    invalid byte order
    See Also:
      - Constant Field Values

  - ### ELF_DATA_LE

    static final byte ELF_DATA_LE
    little-endian byte order
    See Also:
      - Constant Field Values

  - ### ELF_DATA_BE

    static final byte ELF_DATA_BE
    big-endian byte order
    See Also:
      - Constant Field Values

  - ### EV_NONE

    static final byte EV_NONE
    invalid version
    See Also:
      - Constant Field Values

  - ### EV_CURRENT

    static final byte EV_CURRENT
    current version
    See Also:
      - Constant Field Values

  - ### ELFOSABI_NONE

    static final byte ELFOSABI_NONE
    no extension or unspecified
    See Also:
      - Constant Field Values

  - ### ELFOSABI_HPUX

    static final byte ELFOSABI_HPUX
    hewlett packard unix
    See Also:
      - Constant Field Values

  - ### ELFOSABI_NETBSD

    static final byte ELFOSABI_NETBSD
    net bsd
    See Also:
      - Constant Field Values

  - ### ELFOSABI_LINUX

    static final byte ELFOSABI_LINUX
    linux
    See Also:
      - Constant Field Values

  - ### ELFOSABI_GNU

    static final byte ELFOSABI_GNU
    GNU LINUX
    See Also:
      - Constant Field Values

  - ### ELFOSABI_HURD

    static final byte ELFOSABI_HURD
    GNU/Hurd
    See Also:
      - Constant Field Values

  - ### ELFOSABI_SOLARIS

    static final byte ELFOSABI_SOLARIS
    sun solaris
    See Also:
      - Constant Field Values

  - ### ELFOSABI_AIX

    static final byte ELFOSABI_AIX
    aix
    See Also:
      - Constant Field Values

  - ### ELFOSABI_IRIX

    static final byte ELFOSABI_IRIX
    irix
    See Also:
      - Constant Field Values

  - ### ELFOSABI_FREEBSD

    static final byte ELFOSABI_FREEBSD
    free bsd
    See Also:
      - Constant Field Values

  - ### ELFOSABI_TRUE64

    static final byte ELFOSABI_TRUE64
    compaq tru64 unix
    See Also:
      - Constant Field Values

  - ### ELFOSABI_MODESTO

    static final byte ELFOSABI_MODESTO
    novell modesto
    See Also:
      - Constant Field Values

  - ### ELFOSABI_OPENBSD

    static final byte ELFOSABI_OPENBSD
    open bsd
    See Also:
      - Constant Field Values

  - ### ELFOSABI_OPENVMS

    static final byte ELFOSABI_OPENVMS
    OpenVMS
    See Also:
      - Constant Field Values

  - ### ELFOSABI_NSK

    static final byte ELFOSABI_NSK
    Hewlett-Packard Non-Stop Kernel
    See Also:
      - Constant Field Values

  - ### ELFOSABI_AROS

    static final byte ELFOSABI_AROS
    AROS
    See Also:
      - Constant Field Values

  - ### ELFOSABI_FENIXOS

    static final byte ELFOSABI_FENIXOS
    FenixOS
    See Also:
      - Constant Field Values

  - ### ELFOSABI_CLOUDABI

    static final byte ELFOSABI_CLOUDABI
    Nuxi CloudABI
    See Also:
      - Constant Field Values

  - ### ELFOSABI_C6000_ELFABI

    static final byte ELFOSABI_C6000_ELFABI
    Bare-metal TMS320C6000
    See Also:
      - Constant Field Values

  - ### ELFOSABI_C6000_LINUX

    static final byte ELFOSABI_C6000_LINUX
    Linux TMS320C6000
    See Also:
      - Constant Field Values

  - ### ELFOSABI_ARM

    static final byte ELFOSABI_ARM
    ARM
    See Also:
      - Constant Field Values

  - ### ELFOSABI_STANDALONE

    static final byte ELFOSABI_STANDALONE
    Standalone (embedded) application
    See Also:
      - Constant Field Values

  - ### ET_NONE

    static final short ET_NONE
    No file type
    See Also:
      - Constant Field Values

  - ### ET_REL

    static final short ET_REL
    Relocatable file (suitable for linking)
    See Also:
      - Constant Field Values

  - ### ET_EXEC

    static final short ET_EXEC
    Executable file
    See Also:
      - Constant Field Values

  - ### ET_DYN

    static final short ET_DYN
    Shared object file
    See Also:
      - Constant Field Values

  - ### ET_CORE

    static final short ET_CORE
    Core file
    See Also:
      - Constant Field Values

  - ### ET_LOPROC

    static final short ET_LOPROC
    Processor specific
    See Also:
      - Constant Field Values

  - ### ET_HIPROC

    static final short ET_HIPROC
    Processor specific
    See Also:
      - Constant Field Values

  - ### EM_NONE

    static final short EM_NONE
    No machine
    See Also:
      - Constant Field Values

  - ### EM_M32

    static final short EM_M32
    AT&T WE 32100
    See Also:
      - Constant Field Values

  - ### EM_SPARC

    static final short EM_SPARC
    SUN SPARC
    See Also:
      - Constant Field Values

  - ### EM_386

    static final short EM_386
    Intel 80386
    See Also:
      - Constant Field Values

  - ### EM_68K

    static final short EM_68K
    Motorola m68k family
    See Also:
      - Constant Field Values

  - ### EM_88K

    static final short EM_88K
    Motorola m88k family
    See Also:
      - Constant Field Values

  - ### EM_486

    static final short EM_486
    Intel 486 (deprecated)
    See Also:
      - Constant Field Values

  - ### EM_860

    static final short EM_860
    Intel 80860
    See Also:
      - Constant Field Values

  - ### EM_MIPS

    static final short EM_MIPS
    MIPS R3000 big-endian
    See Also:
      - Constant Field Values

  - ### EM_S370

    static final short EM_S370
    IBM System/370
    See Also:
      - Constant Field Values

  - ### EM_MIPS_RS3_LE

    static final short EM_MIPS_RS3_LE
    MIPS R3000 little-endian
    See Also:
      - Constant Field Values

  - ### EM_PARISC

    static final short EM_PARISC
    HPPA
    See Also:
      - Constant Field Values

  - ### EM_VPP500

    static final short EM_VPP500
    Fujitsu VPP500
    See Also:
      - Constant Field Values

  - ### EM_SPARC32PLUS

    static final short EM_SPARC32PLUS
    Sun's "v8plus"
    See Also:
      - Constant Field Values

  - ### EM_960

    static final short EM_960
    Intel 80960
    See Also:
      - Constant Field Values

  - ### EM_PPC

    static final short EM_PPC
    PowerPC
    See Also:
      - Constant Field Values

  - ### EM_PPC64

    static final short EM_PPC64
    PowerPC 64-bit
    See Also:
      - Constant Field Values

  - ### EM_S390

    static final short EM_S390
    IBM S390
    See Also:
      - Constant Field Values

  - ### EM_SPU

    static final short EM_SPU
    IBM SPU/SPC
    See Also:
      - Constant Field Values

  - ### EM_V800

    static final short EM_V800
    NEC V800 series
    See Also:
      - Constant Field Values

  - ### EM_FR20

    static final short EM_FR20
    Fujitsu FR20
    See Also:
      - Constant Field Values

  - ### EM_RH32

    static final short EM_RH32
    TRW RH-32
    See Also:
      - Constant Field Values

  - ### EM_RCE

    static final short EM_RCE
    Motorola RCE
    See Also:
      - Constant Field Values

  - ### EM_ARM

    static final short EM_ARM
    ARM
    See Also:
      - Constant Field Values

  - ### EM_FAKE_ALPHA

    static final short EM_FAKE_ALPHA
    Digital Alpha
    See Also:
      - Constant Field Values

  - ### EM_SH

    static final short EM_SH
    Hitachi SH
    See Also:
      - Constant Field Values

  - ### EM_SPARCV9

    static final short EM_SPARCV9
    SPARC v9 64-bit
    See Also:
      - Constant Field Values

  - ### EM_TRICORE

    static final short EM_TRICORE
    Siemens Tricore
    See Also:
      - Constant Field Values

  - ### EM_ARC

    static final short EM_ARC
    Argonaut RISC Core
    See Also:
      - Constant Field Values

  - ### EM_H8_300

    static final short EM_H8_300
    Hitachi H8/300
    See Also:
      - Constant Field Values

  - ### EM_H8_300H

    static final short EM_H8_300H
    Hitachi H8/300H
    See Also:
      - Constant Field Values

  - ### EM_H8S

    static final short EM_H8S
    Hitachi H8S
    See Also:
      - Constant Field Values

  - ### EM_H8_500

    static final short EM_H8_500
    Hitachi H8/500
    See Also:
      - Constant Field Values

  - ### EM_IA_64

    static final short EM_IA_64
    Intel Merced
    See Also:
      - Constant Field Values

  - ### EM_MIPS_X

    static final short EM_MIPS_X
    Stanford MIPS-X
    See Also:
      - Constant Field Values

  - ### EM_COLDFIRE

    static final short EM_COLDFIRE
    Motorola Coldfire
    See Also:
      - Constant Field Values

  - ### EM_68HC12

    static final short EM_68HC12
    Motorola M68HC12
    See Also:
      - Constant Field Values

  - ### EM_MMA

    static final short EM_MMA
    Fujitsu MMA Multimedia Accelerator
    See Also:
      - Constant Field Values

  - ### EM_PCP

    static final short EM_PCP
    Siemens PCP
    See Also:
      - Constant Field Values

  - ### EM_NCPU

    static final short EM_NCPU
    Sony nCPU embedded RISC
    See Also:
      - Constant Field Values

  - ### EM_NDR1

    static final short EM_NDR1
    Denso NDR1 microprocessor
    See Also:
      - Constant Field Values

  - ### EM_STARCORE

    static final short EM_STARCORE
    Motorola Start*Core processor
    See Also:
      - Constant Field Values

  - ### EM_ME16

    static final short EM_ME16
    Toyota ME16 processor
    See Also:
      - Constant Field Values

  - ### EM_ST100

    static final short EM_ST100
    STMicroelectronic ST100 processor
    See Also:
      - Constant Field Values

  - ### EM_TINYJ

    static final short EM_TINYJ
    Advanced Logic Corp. Tinyj emb.fam
    See Also:
      - Constant Field Values

  - ### EM_X86_64

    static final short EM_X86_64
    AMD x86-64 architecture
    See Also:
      - Constant Field Values

  - ### EM_PDSP

    static final short EM_PDSP
    Sony DSP Processor
    See Also:
      - Constant Field Values

  - ### EM_PDP10

    static final short EM_PDP10
    Digital Equipment Corp. PDP-10
    See Also:
      - Constant Field Values

  - ### EM_PDP11

    static final short EM_PDP11
    Digital Equipment Corp. PDP-11
    See Also:
      - Constant Field Values

  - ### EM_FX66

    static final short EM_FX66
    Siemens FX66 microcontroller
    See Also:
      - Constant Field Values

  - ### EM_ST9PLUS

    static final short EM_ST9PLUS
    STMicroelectronics ST9+ 8/16 mc
    See Also:
      - Constant Field Values

  - ### EM_ST7

    static final short EM_ST7
    STmicroelectronics ST7 8 bit mc
    See Also:
      - Constant Field Values

  - ### EM_68HC16

    static final short EM_68HC16
    Motorola MC68HC16 microcontroller
    See Also:
      - Constant Field Values

  - ### EM_68HC11

    static final short EM_68HC11
    Motorola MC68HC11 microcontroller
    See Also:
      - Constant Field Values

  - ### EM_68HC08

    static final short EM_68HC08
    Motorola MC68HC08 microcontroller
    See Also:
      - Constant Field Values

  - ### EM_68HC05

    static final short EM_68HC05
    Motorola MC68HC05 microcontroller
    See Also:
      - Constant Field Values

  - ### EM_SVX

    static final short EM_SVX
    Silicon Graphics SVx
    See Also:
      - Constant Field Values

  - ### EM_ST19

    static final short EM_ST19
    STMicroelectronics ST19 8 bit mc
    See Also:
      - Constant Field Values

  - ### EM_VAX

    static final short EM_VAX
    Digital VAX
    See Also:
      - Constant Field Values

  - ### EM_CRIS

    static final short EM_CRIS
    Axis Communications 32-bit embedded processor
    See Also:
      - Constant Field Values

  - ### EM_JAVELIN

    static final short EM_JAVELIN
    Infineon Technologies 32-bit embedded processor
    See Also:
      - Constant Field Values

  - ### EM_FIREPATH

    static final short EM_FIREPATH
    Element 14 64-bit DSP Processor
    See Also:
      - Constant Field Values

  - ### EM_ZSP

    static final short EM_ZSP
    LSI Logic 16-bit DSP Processor
    See Also:
      - Constant Field Values

  - ### EM_MMIX

    static final short EM_MMIX
    Donald Knuth's educational 64-bit processor
    See Also:
      - Constant Field Values

  - ### EM_HUANY

    static final short EM_HUANY
    Harvard University machine-independent object files
    See Also:
      - Constant Field Values

  - ### EM_PRISM

    static final short EM_PRISM
    SiTera Prism
    See Also:
      - Constant Field Values

  - ### EM_AVR

    static final short EM_AVR
    Atmel AVR 8-bit microcontroller
    See Also:
      - Constant Field Values

  - ### EM_FR30

    static final short EM_FR30
    Fujitsu FR30
    See Also:
      - Constant Field Values

  - ### EM_D10V

    static final short EM_D10V
    Mitsubishi D10V
    See Also:
      - Constant Field Values

  - ### EM_D30V

    static final short EM_D30V
    Mitsubishi D30V
    See Also:
      - Constant Field Values

  - ### EM_V850

    static final short EM_V850
    NEC v850
    See Also:
      - Constant Field Values

  - ### EM_M32R

    static final short EM_M32R
    Mitsubishi M32R
    See Also:
      - Constant Field Values

  - ### EM_MN10300

    static final short EM_MN10300
    Matsushita MN10300
    See Also:
      - Constant Field Values

  - ### EM_MN10200

    static final short EM_MN10200
    Matsushita MN10200
    See Also:
      - Constant Field Values

  - ### EM_PJ

    static final short EM_PJ
    picoJava
    See Also:
      - Constant Field Values

  - ### EM_OPENRISC

    static final short EM_OPENRISC
    OpenRISC 32-bit embedded processor
    See Also:
      - Constant Field Values

  - ### EM_ARC_A5

    static final short EM_ARC_A5
    ARC Cores Tangent-A5
    See Also:
      - Constant Field Values

  - ### EM_XTENSA

    static final short EM_XTENSA
    Tensilica Xtensa Architecture
    See Also:
      - Constant Field Values

  - ### EM_VIDEOCORE

    static final short EM_VIDEOCORE
    Alphamosaic VideoCore processor
    See Also:
      - Constant Field Values

  - ### EM_TMM_GPP

    static final short EM_TMM_GPP
    Thompson Multimedia General Purpose Processor
    See Also:
      - Constant Field Values

  - ### EM_NS32K

    static final short EM_NS32K
    National Semiconductor 32000 series
    See Also:
      - Constant Field Values

  - ### EM_TPC

    static final short EM_TPC
    Tenor Network TPC processor
    See Also:
      - Constant Field Values

  - ### EM_SNP1K

    static final short EM_SNP1K
    Trebia SNP 1000 processor
    See Also:
      - Constant Field Values

  - ### EM_ST200

    static final short EM_ST200
    STMicroelectronics (www.st.com) ST200
    See Also:
      - Constant Field Values

  - ### EM_IP2K

    static final short EM_IP2K
    Ubicom IP2xxx microcontroller family
    See Also:
      - Constant Field Values

  - ### EM_MAX

    static final short EM_MAX
    MAX Processor
    See Also:
      - Constant Field Values

  - ### EM_CR

    static final short EM_CR
    National Semiconductor CompactRISC microprocessor
    See Also:
      - Constant Field Values

  - ### EM_F2MC16

    static final short EM_F2MC16
    Fujitsu F2MC16
    See Also:
      - Constant Field Values

  - ### EM_MSP430

    static final short EM_MSP430
    Texas Instruments embedded microcontroller msp430
    See Also:
      - Constant Field Values

  - ### EM_BLACKFIN

    static final short EM_BLACKFIN
    Analog Devices Blackfin (DSP) processor
    See Also:
      - Constant Field Values

  - ### EM_SE_C33

    static final short EM_SE_C33
    S1C33 Family of Seiko Epson processors
    See Also:
      - Constant Field Values

  - ### EM_SEP

    static final short EM_SEP
    Sharp embedded microprocessor
    See Also:
      - Constant Field Values

  - ### EM_ARCA

    static final short EM_ARCA
    Arca RISC Microprocessor
    See Also:
      - Constant Field Values

  - ### EM_UNICORE

    static final short EM_UNICORE
    Microprocessor series from PKU-Unity Ltd. and MPRC of Peking University
    See Also:
      - Constant Field Values

  - ### EM_EXCESS

    static final short EM_EXCESS
    eXcess: 16/32/64-bit configurable embedded CPU
    See Also:
      - Constant Field Values

  - ### EM_DXP

    static final short EM_DXP
    Icera Semiconductor Inc. Deep Execution Processor
    See Also:
      - Constant Field Values

  - ### EM_ALTERA_NIOS2

    static final short EM_ALTERA_NIOS2
    Altera Nios II soft-core processor
    See Also:
      - Constant Field Values

  - ### EM_CRX

    static final short EM_CRX
    National Semiconductor CompactRISC CRX
    See Also:
      - Constant Field Values

  - ### EM_XGATE

    static final short EM_XGATE
    Motorola XGATE embedded processor
    See Also:
      - Constant Field Values

  - ### EM_C166

    static final short EM_C166
    Infineon C16x/XC16x processor
    See Also:
      - Constant Field Values

  - ### EM_M16C

    static final short EM_M16C
    Renesas M16C series microprocessors
    See Also:
      - Constant Field Values

  - ### EM_DSPIC30F

    static final short EM_DSPIC30F
    Microchip Technology dsPIC30F Digital Signal Controller
    See Also:
      - Constant Field Values

  - ### EM_CE

    static final short EM_CE
    Freescale Communication Engine RISC core
    See Also:
      - Constant Field Values

  - ### EM_M32C

    static final short EM_M32C
    Renesas M32C series microprocessors*
    See Also:
      - Constant Field Values

  - ### EM_TSK3000

    static final short EM_TSK3000
    Altium TSK3000 core
    See Also:
      - Constant Field Values

  - ### EM_RS08

    static final short EM_RS08
    Freescale RS08 embedded processor
    See Also:
      - Constant Field Values

  - ### EM_SHARC

    static final short EM_SHARC
    Analog Devices SHARC family of 32-bit DSP processors
    See Also:
      - Constant Field Values

  - ### EM_ECOG2

    static final short EM_ECOG2
    Cyan Technology eCOG2 microprocessor
    See Also:
      - Constant Field Values

  - ### EM_SCORE7

    static final short EM_SCORE7
    Sunplus S+core7 RISC processor
    See Also:
      - Constant Field Values

  - ### EM_DSP24

    static final short EM_DSP24
    New Japan Radio (NJR) 24-bit DSP Processor
    See Also:
      - Constant Field Values

  - ### EM_VIDEOCORE3

    static final short EM_VIDEOCORE3
    Broadcom VideoCore III processor
    See Also:
      - Constant Field Values

  - ### EM_LATTICEMICO32

    static final short EM_LATTICEMICO32
    RISC processor for Lattice FPGA architecture
    See Also:
      - Constant Field Values

  - ### EM_SE_C17

    static final short EM_SE_C17
    Seiko Epson C17 family
    See Also:
      - Constant Field Values

  - ### EM_TI_C6000

    static final short EM_TI_C6000
    The Texas Instruments TMS320C6000 DSP family
    See Also:
      - Constant Field Values

  - ### EM_TI_C2000

    static final short EM_TI_C2000
    The Texas Instruments TMS320C2000 DSP family
    See Also:
      - Constant Field Values

  - ### EM_TI_C5500

    static final short EM_TI_C5500
    The Texas Instruments TMS320C55x DSP family
    See Also:
      - Constant Field Values

  - ### EM_TI_PRU

    static final short EM_TI_PRU
    Texas Instruments Programmable Realtime Unit
    See Also:
      - Constant Field Values

  - ### EM_MMDSP_PLUS

    static final short EM_MMDSP_PLUS
    STMicroelectronics 64bit VLIW Data Signal Processor
    See Also:
      - Constant Field Values

  - ### EM_CYPRESS_M8C

    static final short EM_CYPRESS_M8C
    Cypress M8C microprocessor
    See Also:
      - Constant Field Values

  - ### EM_R32C

    static final short EM_R32C
    Renesas R32C series microprocessors
    See Also:
      - Constant Field Values

  - ### EM_TRIMEDIA

    static final short EM_TRIMEDIA
    NXP Semiconductors TriMedia architecture family
    See Also:
      - Constant Field Values

  - ### EM_HEXAGON

    static final short EM_HEXAGON
    Qualcomm Hexagon processor
    See Also:
      - Constant Field Values

  - ### EM_8051

    static final short EM_8051
    Intel 8051 and variants
    See Also:
      - Constant Field Values

  - ### EM_STXP7X

    static final short EM_STXP7X
    STMicroelectronics STxP7x family of RISC processors
    See Also:
      - Constant Field Values

  - ### EM_NDS32

    static final short EM_NDS32
    Andes Technology compact code size embedded RISC processor family
    See Also:
      - Constant Field Values

  - ### EM_ECOG1

    static final short EM_ECOG1
    Cyan Technology eCOG1X family
    See Also:
      - Constant Field Values

  - ### EM_ECOG1X

    static final short EM_ECOG1X
    Cyan Technology eCOG1X family
    See Also:
      - Constant Field Values

  - ### EM_MAXQ30

    static final short EM_MAXQ30
    Dallas Semiconductor MAXQ30 Core Micro-controllers
    See Also:
      - Constant Field Values

  - ### EM_XIMO16

    static final short EM_XIMO16
    New Japan Radio (NJR) 16-bit DSP Processor
    See Also:
      - Constant Field Values

  - ### EM_MANIK

    static final short EM_MANIK
    M2000 Reconfigurable RISC Microprocessor
    See Also:
      - Constant Field Values

  - ### EM_CRAYNV2

    static final short EM_CRAYNV2
    Cray Inc. NV2 vector architecture
    See Also:
      - Constant Field Values

  - ### EM_RX

    static final short EM_RX
    Renesas RX family
    See Also:
      - Constant Field Values

  - ### EM_METAG

    static final short EM_METAG
    Imagination Technologies META processor architecture
    See Also:
      - Constant Field Values

  - ### EM_MCST_ELBRUS

    static final short EM_MCST_ELBRUS
    MCST Elbrus general purpose hardware architecture
    See Also:
      - Constant Field Values

  - ### EM_ECOG16

    static final short EM_ECOG16
    Cyan Technology eCOG16 family
    See Also:
      - Constant Field Values

  - ### EM_CR16

    static final short EM_CR16
    National Semiconductor CompactRISC CR16 16-bitmicroprocessor
    See Also:
      - Constant Field Values

  - ### EM_ETPU

    static final short EM_ETPU
    Freescale Extended Time Processing Unit
    See Also:
      - Constant Field Values

  - ### EM_SLE9X

    static final short EM_SLE9X
    Infineon Technologies SLE9X core
    See Also:
      - Constant Field Values

  - ### EM_L10M

    static final short EM_L10M
    Intel L10M
    See Also:
      - Constant Field Values

  - ### EM_K10M

    static final short EM_K10M
    Intel K10M
    See Also:
      - Constant Field Values

  - ### EM_AARCH64

    static final short EM_AARCH64
    AARCH64 Architecture
    See Also:
      - Constant Field Values

  - ### EM_AVR32

    static final short EM_AVR32
    Atmel Corporation 32-bit microprocessor family
    See Also:
      - Constant Field Values

  - ### EM_STM8

    static final short EM_STM8
    STMicroeletronics STM8 8-bit microcontroller
    See Also:
      - Constant Field Values

  - ### EM_TILE64

    static final short EM_TILE64
    Tilera TILE64 multicore architecture family
    See Also:
      - Constant Field Values

  - ### EM_TILEPRO

    static final short EM_TILEPRO
    Tilera TILEPro multicore architecture family
    See Also:
      - Constant Field Values

  - ### EM_CUDA

    static final short EM_CUDA
    NVIDIA CUDA architecture
    See Also:
      - Constant Field Values

  - ### EM_TILEGX

    static final short EM_TILEGX
    Tilera TILE-Gx multicore architecture family
    See Also:
      - Constant Field Values

  - ### EM_CLOUDSHIELD

    static final short EM_CLOUDSHIELD
    CloudShield architecture family
    See Also:
      - Constant Field Values

  - ### EM_COREA_1ST

    static final short EM_COREA_1ST
    KIPO-KAIST Core-A 1st generation processor family
    See Also:
      - Constant Field Values

  - ### EM_COREA_2ND

    static final short EM_COREA_2ND
    KIPO-KAIST Core-A 2nd generation processor family
    See Also:
      - Constant Field Values

  - ### EM_ARC_COMPACT2

    static final short EM_ARC_COMPACT2
    Synopsys ARCompact V2
    See Also:
      - Constant Field Values

  - ### EM_OPEN8

    static final short EM_OPEN8
    Open8 8-bit RISC soft processor core
    See Also:
      - Constant Field Values

  - ### EM_RL78

    static final short EM_RL78
    Renesas RL78 family
    See Also:
      - Constant Field Values

  - ### EM_VIDEOCORE5

    static final short EM_VIDEOCORE5
    Broadcom VideoCore V processor
    See Also:
      - Constant Field Values

  - ### EM_78KOR

    static final short EM_78KOR
    Renesas 78KOR family
    See Also:
      - Constant Field Values

  - ### EM_56800EX

    static final short EM_56800EX
    Freescale 56800EX Digital Signal Controller (DSC)
    See Also:
      - Constant Field Values

  - ### EM_BA1

    static final short EM_BA1
    Beyond BA1 CPU
    See Also:
      - Constant Field Values

  - ### EM_BA2

    static final short EM_BA2
    Beyond BA2 CPU
    See Also:
      - Constant Field Values

  - ### EM_XCORE

    static final short EM_XCORE
    XMOS xCORE processor family
    See Also:
      - Constant Field Values

  - ### EM_MCHP_PIC

    static final short EM_MCHP_PIC
    Microchip 8-bit PIC(r) family
    See Also:
      - Constant Field Values

  - ### EM_INTELGT

    static final short EM_INTELGT
    Intel Graphics Technology
    See Also:
      - Constant Field Values

  - ### EM_KM32

    static final short EM_KM32
    KM211 KM32 32-bit processor
    See Also:
      - Constant Field Values

  - ### EM_KMX32

    static final short EM_KMX32
    KM211 KMX32 32-bit processor
    See Also:
      - Constant Field Values

  - ### EM_KMX16

    static final short EM_KMX16
    KM211 KMX16 16-bit processor
    See Also:
      - Constant Field Values

  - ### EM_KMX8

    static final short EM_KMX8
    KM211 KMX8 8-bit processor
    See Also:
      - Constant Field Values

  - ### EM_KVARC

    static final short EM_KVARC
    KM211 KVARC processor
    See Also:
      - Constant Field Values

  - ### EM_CDP

    static final short EM_CDP
    Paneve CDP architecture family
    See Also:
      - Constant Field Values

  - ### EM_COGE

    static final short EM_COGE
    Cognitive Smart Memory Processor
    See Also:
      - Constant Field Values

  - ### EM_COOL

    static final short EM_COOL
    iCelero CoolEngine
    See Also:
      - Constant Field Values

  - ### EM_NORC

    static final short EM_NORC
    Nanoradio Optimized RISC
    See Also:
      - Constant Field Values

  - ### EM_CSR_KALIMBA

    static final short EM_CSR_KALIMBA
    CSR Kalimba architecture family
    See Also:
      - Constant Field Values

  - ### EM_Z80

    static final short EM_Z80
    Zilog Z80
    See Also:
      - Constant Field Values

  - ### EM_VISIUM

    static final short EM_VISIUM
    Controls and Data Services VISIUMcore processor
    See Also:
      - Constant Field Values

  - ### EM_FT32

    static final short EM_FT32
    FTDI Chip FT32 high performance 32-bit RISC architecture
    See Also:
      - Constant Field Values

  - ### EM_MOXIE

    static final short EM_MOXIE
    Moxie processor family
    See Also:
      - Constant Field Values

  - ### EM_AMDGPU

    static final short EM_AMDGPU
    AMD GPU architecture
    See Also:
      - Constant Field Values

  - ### EM_RISCV

    static final short EM_RISCV
    RISC-V
    See Also:
      - Constant Field Values

  - ### EM_LANAI

    static final short EM_LANAI
    Lanai 32-bit processor
    See Also:
      - Constant Field Values

  - ### EM_CEVA

    static final short EM_CEVA
    CEVA Processor Architecture Family
    See Also:
      - Constant Field Values

  - ### EM_CEVA_X2

    static final short EM_CEVA_X2
    CEVA X2 Processor Family
    See Also:
      - Constant Field Values

  - ### EM_BPF

    static final short EM_BPF
    Linux kernel bpf virtual machine
    See Also:
      - Constant Field Values

  - ### EM_GRAPHCORE_IPU

    static final short EM_GRAPHCORE_IPU
    Graphcore Intelligent Processing Unit
    See Also:
      - Constant Field Values

  - ### EM_IMG1

    static final short EM_IMG1
    Imagination Technologies
    See Also:
      - Constant Field Values

  - ### EM_NFP

    static final short EM_NFP
    Netronome Flow Processor.
    See Also:
      - Constant Field Values

  - ### EM_VE

    static final short EM_VE
    NEC Vector Engine
    See Also:
      - Constant Field Values

  - ### EM_CSKY

    static final short EM_CSKY
    C-SKY processor family.
    See Also:
      - Constant Field Values

  - ### EM_ARC_COMPACT3_64

    static final short EM_ARC_COMPACT3_64
    Synopsys ARCv2.3 64-bit
    See Also:
      - Constant Field Values

  - ### EM_MCS6502

    static final short EM_MCS6502
    MOS Technology MCS 6502 processor
    See Also:
      - Constant Field Values

  - ### EM_ARC_COMPACT3

    static final short EM_ARC_COMPACT3
    Synopsys ARCv2.3 32-bit
    See Also:
      - Constant Field Values

  - ### EM_KVX

    static final short EM_KVX
    Kalray VLIW core of the MPPA processor family
    See Also:
      - Constant Field Values

  - ### EM_65816

    static final short EM_65816
    WDC 65816/65C816
    See Also:
      - Constant Field Values

  - ### EM_LOONGARCH

    static final short EM_LOONGARCH
    LoongArch
    See Also:
      - Constant Field Values

  - ### EM_KF32

    static final short EM_KF32
    ChipON KungFu32
    See Also:
      - Constant Field Values

  - ### EM_U16_U8CORE

    static final short EM_U16_U8CORE
    Linux kernel bpf virtual machine
    See Also:
      - Constant Field Values

  - ### EM_TACHYUM

    static final short EM_TACHYUM
    Tachyum
    See Also:
      - Constant Field Values

  - ### EM_56800EF

    static final short EM_56800EF
    NXP 56800EF Digital Signal Controller (DSC)
    See Also:
      - Constant Field Values

  - ### EM_AVR32_unofficial

    static final short EM_AVR32_unofficial
    used by NetBSD/avr32 - AVR 32-bit
    See Also:
      - Constant Field Values

  - ### PN_XNUM

    static final short PN_XNUM
    PN_XNUM: Used by e_phnum field to signal alternate storage of program header count within section[0] sh_info field.
    See Also:
      - Constant Field Values

  - ### ELF32_INVALID_OFFSET

    static final long ELF32_INVALID_OFFSET
    32bit "-1", used in 32bit files to signal an invalid offset
    See Also:
      - Constant Field Values